package projectzombie.init;

import java.util.ArrayList;

import bdf.types.BdfObject;
import projectzombie.entity.Entity;
import projectzombie.task.Task;
import projectzombie.task.TaskDeathScreen;
import projectzombie.task.TaskLadderDown;
import projectzombie.task.TaskLadderUp;

public class Tasks
{
	public static final ArrayList<Class<? extends Task>> TASKS = new ArrayList<>();
	
	private static void register(Class<? extends Task> t)
	{
		try {
			t.getConstructor(Entity.class, BdfObject.class);
		} catch (NoSuchMethodException | SecurityException err) {
			err.printStackTrace();
			System.exit(1);
		}
		
		TASKS.add(t);
	}
	
	public static void init()
	{
		register(TaskLadderDown.class);
		register(TaskLadderUp.class);
		register(TaskDeathScreen.class);
	}
}
